#ifndef _LUNIX_PROCESS_H
#define _LUNIX_PROCESS_H

;// process related information in the kernel

#ifndef _LNG_

;// for current version of LUnix

#define l_pstat			$c000
# define l_ps_priority			%00001111
# define l_ps_stopped			%00100000
# define l_ps_blocked			%01000000
# define l_ps_running			%10000000
#define l_psmax			$c020
#define l_pssize		$c040
#define l_pzpstart		$c060
#define l_pzpsize		$c080
#define l_pswappage		$c0a0
#define l_pwaitstate1	$c0c0
#define l_pwaitstate2	$c0e0
# define l_pw1_nowait			$00
# define l_pw1_pipefull			$01
# define l_pw1_pipeempty		$02
# define l_pw1_pipe				$03
# define l_pw1_memory			$04
# define l_pw1_process			$05
# define l_pw1_signal			$06
# define l_pw1_exitcode			$07
# define l_pw1_semlocked		$08
#define l_pslice		$c100
#define l_pnext			$c120
#define l_ptime0		$c140
#define l_ptime1		$c160
#define l_ptime2		$c180
#define l_ppidlo		$c1a0
#define l_ppidhi		$c1c0
#define l_pippid		$c1e0
#define l_pmid			$c200
#define l_environment		$c26c

;// ifndef _LNG_
#endif
#endif

