/* rx */
IF ~show('Libraries', 'rexxsupport.library') THEN
        IF ~addlib('rexxsupport.library', 0, -30) THEN DO
                say "No RexxSupport ... no makelib"
                EXIT 20
        END
address command

/* set up include-path */
setenv "LUPO_INCLUDEPATH=/include"

say "Creating library..."
call pragma(D,src)

say " assembler..."
ERROR=""
SO=""
FILES=showdir("")
do i=1 to words(FILES)
  FILE=word(FILES,i) ; if right(FILE,2)~=".s" then iterate ; else SO=SO FILE"o"
  call writech stdout,"  """FILE""" "
  luna "-qOo" FILE"o" FILE
  if RC = 0 then
    say "ok."
  else
    ERROR=ERROR FILE
end
if ERROR ~= "" then do
  say "had errors assembling: "ERROR
  exit 1
end

say " linker..."
lld "-Lo /lib/stdlib.lib "SO
if RC ~= 0 then do
  say "error while linking"
  exit 1
end

delete "#?.so"
call pragma(D,"/")

echo
call maketest()
