#!/bin/bash

# set up include-path
export LUPO_INCLUDEPATH=../include

# set up library path
export LUNIX_LIBRARYS=../lib/stdlib.lib

if [ ! -d bin64 ]; then
  mkdir bin64
fi

printf "Testfiles...\n"  

cd test
for FILE in set setenv argtest unset uptime wc
do
  printf "luna -qLo ../bin64/${FILE}.c64 ${FILE}.s\n"
  luna -qLo ../bin64/${FILE}.c64 ${FILE}.s
done

# cleaning up
cd ..
