		;; environment is global in the current
		;; version of LUnix (and limited to 256 bytes)
		
		;; $c26c (was unused) points to
		;; the page that holds the environment strings
		
#include <lunix/syszp.h>
#include <lunix/process.h>
#include <luna.h>
		
.global _searchenv_

		;; search for varaible in environment
		;; assumes disabled IRQ !!

_searchenv_:
		lda		l_environment
		beq		not_found
		sta		_hl+1
		lda		#1
		sta		_hl
		
compare:
		ldy		#0
	   	lda		(_hl),y
		beq		not_found
		
	-	lda		(_zpbase),y
		beq		+++
		cmp		#"="
		beq		+++
		cmp		(_hl),y
		bne		+
		iny
		bne		-				; (always jump)

		;; doesn't match, try next
	+ -	lda		(_hl),y
		beq		+
		iny
		bne		-				; (always jump)
		
	+	sec
		tya
		adc		_hl
		sta		_hl
		jmp		compare

		;; might have found the variable
	+	lda		(_hl),y
		cmp		#"="
		bne		-				; sorry, doesn't match
		clc
		rts						; found!!
		
not_found:
		sec
		rts		


