		;; fgetc as described in the
		;; lib6502 standard library
		;; version 0.3 by A.Fachat

		;; < x=file-nr
		;;   c=0:		 return immediately
		;;   c=1:		 block till byte
		;; > c=0:		 A=byte
		;;   c=1:		 A=error code

#include <lunix/stdlib.h>
#include <lunix/syszp.h>
#include <lib6502.h>

.global fgetc

	-	pla
		tay
		pla
		tax
fgetc:		 
		txa
		pha
		tya
		pha
		bcc  +
		jsr  lk_piperead
		sei
		sta  _hl
	-	pla
		tay
		pla
		tax
		lda  _hl
		cli
		bcs  kerror
		rts
		
	+	jsr  lk_pipechk
		bcs  -
		bne  --

		lda  #E_EMPTY
		sec
		rts

kerror:	lda  #E_EOF				; simple implementation

		rts

.endofcode

