		;; fputc as described in the
		;; lib6502 standard library
		;; version 0.3 by A.Fachat

		;; < x=file-number
		;;   c=0:		 return immediately
		;;   c=1:		 block till byte sent
		;; > c=0:		 ??
		;;   c=1:		 A=error code

#include <lunix/stdio.h>
#include <lunix/syszp.h>
#include <lib6502.h>
		
.global fputc

	-	pla
		tay
		pla
		tax
		lda  char
		
fputc:	sta  char
		txa
		pha
		tya
		pha
		bcc  +
		lda  char
		jsr  lk_pipewrite
	-	pla
		tay
		pla
		tax
		bcs  kerror
		rts

kerror:	lda  #E_NUL
		rts

	+	jsr  lk_pipechk
		bcs  -
		bpl  --
		lda  #E_FULL
		sec
		rts
		
.endofcode
char:	.buf 1