;
; Standard "library" functions for LUnix 0.1p4
;
;
;
;

#ifndef _LUNIX_STDLIB_H
#define _LUNIX_STDLIB_H

; Open pipe
#define lk_openpipe $9021
; Join pipe
#define lk_joinpipe $9024
; Close pipe
#define lk_closepipe $9027
; Read from pipe
#define lk_piperead $902a
; Write to pipe
#define lk_pipewrite $902d

; Lock a resource (LR_*)
#define lk_lockresource $903f
; Free a resource (LR_*)
#define lk_freeresource $9042

; Send Signal
#define lk_sendsignal $904b

; Get [disk-]drive page
; (eg for loading a process from)
#define lk_getdrvpage $904e

; Check if pipe X is empty
#define lk_pipechk $906f

; Allocate memory
#define lk_malloc $9072
; Free memory
#define lk_free $9075

#endif
