#!/bin/bash

COMPILER=gcc
COMPILER_OPTIONS=-O2

if [ ! -d bin ]; then
  mkdir bin
fi

printf "Compiling cross-development-tools...\n"

echo ${COMPILER} ${COMPILER_OPTIONS} -o bin/luna src/luna.c
${COMPILER} ${COMPILER_OPTIONS} -o bin/luna src/luna.c

echo ${COMPILER} ${COMPILER_OPTIONS} -o bin/lupo src/lupo.c
${COMPILER} ${COMPILER_OPTIONS} -o bin/lupo src/lupo.c

echo ${COMPILER} ${COMPILER_OPTIONS} -o bin/lld src/lld.c
${COMPILER} ${COMPILER_OPTIONS} -o bin/lld src/lld.c

PATH=../bin:${PATH}
echo
exec makelib.sh

