		;; environment is global in the current
		;; version of LUnix (and limited to 256 bytes)
		
		;; $c26c (was unused) points to
		;; the page that holds the environment strings
		
#include <lunix/syszp.h>
#include <luna.h>
		
.global getenv

		;; get value of environment variable
		;; < (_zpbase)=pointer to zero terminated string
		;;       of format "variable"
		;; > c=1: error (if not found in environment)
		;;   c=0: (_zpbase) points to value (zero terminated string)
		
getenv: sei
		jsr		_searchenv_
		bcs		+
		sec
		tya						; set pointer to character
		adc		_hl				; after the "="
		sta		_zpbase
		lda		_hl+1
		sta		_zpbase+1
		clc
	+	cli
		rts

