		;; kill as described in the
		;; lib6502 standard library
		;; version 0.3 by A.Fachat

		;; < A=return code
		;;   X/Y=PID  (or OWNTASK)
		;; > c=0:		ok
		;;   c=1:		a=error code

#include <lunix/lunix.h>
#include <lib6502.h>							

.global kill
kill:	pha
		txa
		bne  +
		cpy  #0
		beq  suic
	+	jsr  lk_getipid
		bcs  +
		pla
		jsr  lk_killproc
		cli
		clc
		rts

	+	pla
		lda  #E_ILLPID
		rts
		
suic:	pla
		jmp  lk_suicide

.endofcode