		;; environment is global in the current
		;; version of LUnix (and limited to 256 bytes)
		
		;; $c26c (was unused) points to
		;; the page that holds the environment strings
		
#include <lunix/syszp.h>		
#include <luna.h>
		
.global unsetenv

		;; remove string from environment
		;; < (_zpbase) = name of variable (zero/"=" terminated)
		;; _zpbase will be changed!
		
unsetenv:
		php
		sei
		jsr		_searchenv_
		bcs		+++

		lda		_zpbase			; store search string
		pha
		lda		_zpbase+1
		pha
		
	-	lda		(_hl),y			; search for end of string
		beq		+
		iny
		bne		-				; (always jump)

	+	sec
		tya
		adc		_hl
		sta		_zpbase
		lda		_hl+1
		sta		_zpbase+1  		; _zpbase now points to next string

		ldy		#0				; remove string from list
	-	lda		(_zpbase),y
		sta		(_hl),y
		beq		+
		
	-	iny
		lda		(_zpbase),y
		sta		(_hl),y
		bne		-
		iny
		bne		--				; (always jump)

	+	tya						; adapt list end pointer
		clc
		adc		_hl
		ldy		#0
		sty		_hl
		sta		(_hl),y

		pla						; remember search string
		sta		_zpbase+1
		pla
		sta		_zpbase
		
	+	plp
		rts

