		;; set prints environment settings

#include <cstyle.h>
#include <lunix/system.h>
#include <lunix/process.h>

		.header "set",.env

Howto:	ldx		stdout_ch
		jsr		strout
		bit		txt_howto
		exit(1)
		
_init:	jsr		read_comitem
		bcs		print_all
		beq		Howto

		stx		env				; env now points to variable
		jsr		getenv
		bcs		done

		ldy		#0
	-	lda		(env),y
		beq		+
		jsr		putc
		iny
		bne		-
	+	lda		#"\n"
		jsr		putc

done:	exit(0)
		
print_all:		
		lda		l_environment
		beq		+				; skip

		sta		env+1
		ldy		#0
		sty		env
		iny

	-	lda		(env),y
		beq		+

	-	jsr		putc
		iny
		lda		(env),y
		bne		-

		lda		#"\n"
		jsr		putc
		iny
		bne		--				; (always jump)

	+	jmp		done

.endofcode

txt_howto:		.asc "usage: set [variable]\n"
				.asc "  print value of a single or all\n"
				.asc "  variables\n\0"
