; This is a simple "uptime" program
; for LUnix  (by Stefan Haubenthal)
;                $C140+IPID:= TimeLowest (=0)
;                $C160+IPID:= TimeMid (=0)
;                $C180+IPID:= Timehighest (=0)

.header "uptime",.lib0,lib1	; "uptime" is the name that will be displayed
			               ; by "ps" in LUnix

	strout equ $905d       ; value of the 2 used system-vectors
	bye    equ $9018
	stdout equ _base+2     ; _base is startadress of codesegment
			               ; and will be initialized by the assembler.

_init:  ldx  stdout        ; load standard output-stream-ID
	jsr  strout            ; call "string output"
	bit  up                ; pass text-pointer to strout
	lda  $C160             ; Time(IPID0)/60=100% uptime
	sta  lib0
	lda  $C180
	sta  lib0+1
	lda  #60
	sta  lib1
	jsr  div_u16by8        ; (call to library)
	txa
	ldx  #0
	jsr  print_udec16
	ldx  stdout            ; load standard output-stream-ID
	jsr  strout            ; call "string output"
	bit  min               ; pass text-pointer to strout

	lda  #0                ; exitcode 0 (no error)
	jmp  bye               ; end program

	.endofcode             ; end of code

up:     .asc "up \0"
min:    .asc " min\n\0"



